# Descrption
A remix of ModernUI designed to fit with the original artstyle of VotV but adding more info, context, and customizability.

## Previews
![Preview](https://github.com/RubyTheQuester/Modern-Classic-HUD/blob/main/Source%20Images/Example%202.png?raw=true)
![Preview](https://github.com/RubyTheQuester/Modern-Classic-HUD/blob/main/Source%20Images/Example%201.png?raw=true)

## Features
### Current Features
- Displays the day number.
- Displays the current ingame time.
- Displays the player's health.
- Displays the player movement speed.
- Turns downs the opacity of the top right corner, bottom left corner, and center of the UI when interacting with things such as the console, the desktop computer, and the arcade machine.
- Ability to turn off any element of the hud, including the whole hud.
- Ability to turn the default hud back on, if needed.

### Future Features
- Ability to place elemets whenever you want.
- Ability to choose colors of each hud element.
- Custom hotbar.
- Custom compass.

## Compatiblities
- [Gato's WeatherOverhaul](https://thunderstore.io/c/voices-of-the-void/p/Gatohost/WeatherOverhaul/)

## How to install
First you need either shimloader or [UE4SS](https://github.com/UE4SS-RE/RE-UE4SS/releases/tag/v3.0.1), and VoidMod by Gato

If you're using UE4SS, make sure ` BPModLoaderMod : 1 ` is set to 1 inside ` mods.txt ` located in the mods folder exctracted from UE4SS zip file, or mods will not work

Extract  `ClassicUI.pak ` from the pak folder into ` <Game Directory>\VotV\Content\Paks\LogicMods `

## Credits
Orignal mod base - Matteo
VoidMod Creation - Gato
Food Icon - Death-Tinkerer